digiKam Developer Documentation: Digikam::DPluginAction Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | List of all members
Digikam::DPluginAction Class Reference
Inheritance diagram for Digikam::DPluginAction:

## Public Types
enum | ActionCategory { InvalidCat = -1 , GenericExport = 0 , GenericImport , GenericTool , GenericMetadata , GenericView , EditorFile , EditorColors , EditorEnhance , EditorTransform , EditorDecorate , EditorFilters }
| Plugin action categories. More...
enum | ActionType { InvalidType = -1 , Generic = 0 , Editor }
| Plugin action types to resume where they can be used. More...
enum | PluginActionData { NoData = 0 , AlbumData }
| Plugin action types via QAction data container.

## Public Member Functions
| DPluginAction (QObject *const parent=nullptr)
ActionCategory | actionCategory () const
QString | actionCategoryToString () const
ActionType | actionType () const
| Return the action type depending of category.
QString | pluginId () const
| Return the plugin id string hosting this action.
void | setActionCategory (ActionCategory cat)
| Manage the internal action category.
QString | toString () const
| Return details as string about action properties.
QString | xmlSection () const
| Return the XML section to merge in KXMLGUIClient host XML definition.

## Static Public Member Functions
static bool | pluginActionLessThan (DPluginAction *const a, DPluginAction *const b)

## Member Enumeration Documentation

## ◆ ActionCategory

enum Digikam::DPluginAction::ActionCategory

Enumerator
GenericExport | Generic export action.
GenericImport | Generic import action.
GenericTool | Generic processing action.
GenericMetadata | Generic Metadata adjustment action.
GenericView | Generic View action (as Slideshow).
EditorFile | Image Editor file action.
EditorColors | Image Editor color correction action.
EditorEnhance | Image Editor enhance action.
EditorTransform | Image Editor transform action.
EditorDecorate | Image Editor decorate action.
EditorFilters | Image Editor special effects action.

## ◆ ActionType

enum Digikam::DPluginAction::ActionType

Enumerator
InvalidType | An invalid action category.
Generic | Generic action available everywhere (AlbumView, Editor, LightTable, and Survey).
Editor | Specific action for Image Editor and Showfoto.

## Member Function Documentation

## ◆ toString()

QString Digikam::DPluginAction::toString | ( |  | ) | const

For debug purpose only.